<?php
/**
*  Conexiaweb.es
*  @author conexiaweb.es <info@conexiaweb.es>
*  @copyright  2020  Conexiaweb.es
*  @license    http://conexiaweb.es
*  Great!!!    http://transfertomalaga.es | http://transfertocordoba.es | http://transfertomarbella.com/ | http://transfervalladolid.es/ | http://transfertosevilla.es/ | http://transfertogranada.es/ | http://transfertorremolinos.es/ | http://transferfuengirola.es/ | http://transferbenalmadena.es/ | http://transfertomarbella.com/ | http://transfertonerja.es/ | http://transfertomijas.es/ | http://transfertorredelmar.es/ | http://laborser.es | http://multiserviciosencordoba.es
*/

if (!defined('_PS_VERSION_')) {
    exit;
}

$require = array(
    'classes/conexiaverification2Db.php',
);

foreach ($require as $item) {
    require_once(_PS_MODULE_DIR_.'conexiaverification2/'.$item);
}

class conexiaverification2 extends Module
{
    protected $config_form = false;

    public function __construct()
    {
        $this->name = 'conexiaverification2';
        $this->tab = 'front_office_features';
        $this->version = '2.0.0';
        $this->author = 'Conexiaweb';
        $this->need_instance = 0;
        $this->bootstrap = true;

        parent::__construct();

        $this->displayName = $this->l('Verificación de edad SI o NO');
        $this->description = $this->l('Solicita la edad a los usuarios que entran en tu web');
        $this->confirmUninstall = $this->l('Are you sure you want to uninstall?');
        $this->ps_versions_compliancy = array('min' => '1.6', 'max' => _PS_VERSION_);
    }


    public function install()
    {
        // Initial values
        Configuration::updateValue("conexiaverification2_AGE", 18);
        Configuration::updateValue("conexiaverification2_TYPE", "date");
        Configuration::updateValue("conexiaverification2_OPACITY", 100);
        Configuration::updateValue("conexiaverification2_BG_COLOR", "#2b2e38");
        Configuration::updateValue("conexiaverification2_VALIDATION_MODE", "live");
        Configuration::updateValue("conexiaverification2_BG_POPUP_COLOR", "#ffffff");

        if (!Configuration::hasKey('conexiaverification2_CAT_RESTRICTION')) {
            Configuration::updateValue("conexiaverification2_CAT_RESTRICTION", false);
        }
		
		if (!Configuration::hasKey('conexiaverification2_PROD_RESTRICTION')) {
            Configuration::updateValue("conexiaverification2_PROD_RESTRICTION", false);
        }

        return parent::install() && $this->registerHook('displayFooter') && $this->registerHook('header');
    }

    public function uninstall()
    {
        $this->context->cookie->__set('conexiaverification2_validated', false);

        return parent::uninstall();
    }

    public function hookDisplayFooter()
    {
        require_once(_PS_MODULE_DIR_ . 'conexiaverification2/classes/conexiaverification2Db.php');

        $restrictCategory = (bool)Configuration::get('conexiaverification2_CAT_RESTRICTION');
        $restrictProduct = (bool)Configuration::get('conexiaverification2_PROD_RESTRICTION');
        $showPopup = false;

        if ($restrictProduct && $restrictCategory) {
            if ($this->categoryFound() || $this->productFound()) { // Enter category or product page
                $showPopup = true;
            }
        } else {
            if ($restrictCategory) {
                $showPopup = $this->categoryFound() ? true : false;
            } else {
                if ($restrictProduct) {
                    $showPopup = $this->productFound() ? true : false;
                } else {
                    if ((bool)$this->context->cookie->__get('conexiaverification2_validated') === false) {
                        $showPopup = true;
                    }
                }
            }
        }


        if ($showPopup) {
            $this->context->smarty->assign(
                'title', Configuration::get("conexiaverification2_TITLE_".$this->context->language->id)
            );
            $this->context->smarty->assign(
                'text', Configuration::get("conexiaverification2_CONTENT_".$this->context->language->id)
            );
            $this->context->smarty->assign(
                'button_text', Configuration::get("conexiaverification2_BUTTON_".$this->context->language->id)
            );
            $this->context->smarty->assign(
                'type', Configuration::get("conexiaverification2_TYPE")
            );
            $this->context->smarty->assign(
                'age', Configuration::get("conexiaverification2_AGE")
            );
            $this->context->smarty->assign(
                'age_text', Configuration::get("conexiaverification2_BIRTH_".$this->context->language->id)
            );
            $this->context->smarty->assign(
                'mode', Configuration::get("conexiaverification2_VALIDATION_MODE")
            );
            $this->context->smarty->assign(
                'bg_color', Configuration::get("conexiaverification2_BG_POPUP_COLOR")
            );
            $this->context->smarty->assign(
                'font_color', Configuration::get("conexiaverification2_FONT_COLOR")
            );
            $this->context->smarty->assign(
                'selected_color', Configuration::get("conexiaverification2_SELECTED_FONT_COLOR")
            );
            $this->context->smarty->assign(
                'selected_bg', Configuration::get("conexiaverification2_SELECTED_BG_COLOR")
            );

            $this->context->smarty->assign(
                'header_font', Configuration::get("conexiaverification2_HEADER_FONT")
            );

            $this->context->smarty->assign(
                'header_size', Configuration::get("conexiaverification2_HEADER_SIZE")
            );

            $this->context->smarty->assign(
                'header_size_mobile', Configuration::get("conexiaverification2_HEADER_SIZE_MOBILE")
            );

            $this->context->smarty->assign(
                'content_font', Configuration::get("conexiaverification2_FONT")
            );

            $this->context->smarty->assign(
                'content_size', Configuration::get("conexiaverification2_FONT_SIZE")
            );

            $this->context->smarty->assign(
                'content_size_mobile', Configuration::get("conexiaverification2_FONT_SIZE_MOBILE")
            );

            $this->context->smarty->assign('ps_version', conexiaverification2::getVersion());

            $hex = Configuration::get("conexiaverification2_BG_COLOR");
            list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");

            $opa = (int)Configuration::get("conexiaverification2_OPACITY");

            $this->context->smarty->assign('color_r', $r);
            $this->context->smarty->assign('color_g', $g);
            $this->context->smarty->assign('color_b', $b);
            $this->context->smarty->assign('opacity', (float)$opa/100);

            return $this->display(__FILE__, 'av.tpl');
        }
    }

    public function hookHeader()
    {

        if (conexiaverification2::getVersion() != "1.6") {
            // Remodal
            $this->context->controller->registerStylesheet(
                'av-remodal', 'modules/'.$this->name.'/views/css/remodal.css'
            );
            $this->context->controller->registerStylesheet(
                'av-remodal-theme', 'modules/'.$this->name.'/views/css/remodal-default-theme.css'
            );
            $this->context->controller->registerJavascript('av-remodal', 'modules/'.$this->name.'/views/js/remodal.js');

            // Bootstrap select
            $this->context->controller->registerStylesheet(
                'av-bootstrap-select', 'modules/'.$this->name.'/views/css/bootstrap-select.min.css'
            );

            $this->context->controller->registerJavascript(
                'av-bootstrap-select', 'modules/'.$this->name.'/views/js/bootstrap-select.min.js',
                array('priority' => '999')
            );

            // Custom css
            $this->context->controller->registerStylesheet('av-av', 'modules/'.$this->name.'/views/css/av.css');

            $this->context->controller->registerStylesheet(
                'av-bootstrap', 'modules/'.$this->name.'/views/css/bootstrap-dropdowns.css'
            );

            // Custom js
            $this->context->controller->registerJavascript(
                'av-functions', 'modules/'.$this->name.'/views/js/av-functions-17.js'
            );
        } else {
            // Remodal
            $this->context->controller->addCSS(($this->_path).'/views/css/remodal.css', 'all');
            $this->context->controller->addCSS(($this->_path).'/views/css/remodal-default-theme.css', 'all');
            $this->context->controller->addJS(($this->_path).'/views/js/remodal.js');

            // Bootstrap select
            $this->context->controller->addCSS(($this->_path).'/views/css/bootstrap-select.min.css', 'all');
            $this->context->controller->addJS(($this->_path).'/views/js/bootstrap-select.min.js', 'all');

            // Bootstrap
            $this->context->controller->addCSS(($this->_path).'/views/css/bootstrap-dropdowns.css', 'all');

            // Custom css
            $this->context->controller->addCSS(($this->_path).'/views/css/av.css', 'all');

            // Custom js
            $this->context->controller->addJS(($this->_path).'/views/js/av-functions.js');
        }
    }

    /**
     * Load the configuration form
     */
    public function getContent()
    {
        if (((bool)Tools::isSubmit('submitconexiaverification2Module')) == true || isset($_POST["deleterows"])) {
            $this->postProcess();
        }

        $this->context->smarty->assign('module_dir', $this->_path);

        $output = $this->context->smarty->fetch($this->local_path.'views/templates/admin/configure.tpl');

        return $output.$this->renderForm();
    }

    /**
     * Create the form that will be displayed in the configuration of your module.
     */
    protected function renderForm()
    {
        $helper = new HelperForm();

        $helper->show_toolbar = false;
        $helper->table = $this->table;
        $helper->module = $this;
        $helper->default_form_language = $this->context->language->id;
        $helper->allow_employee_form_lang = Configuration::get('PS_BO_ALLOW_EMPLOYEE_FORM_LANG', 0);

        $helper->identifier = $this->identifier;
        $helper->submit_action = 'submitconexiaverification2Module';
        $helper->currentIndex = $this->context->link->getAdminLink('AdminModules', false)
            .'&configure='.$this->name.'&tab_module='.$this->tab.'&module_name='.$this->name;
        $helper->token = Tools::getAdminTokenLite('AdminModules');

        $helper->tpl_vars = array(
            'fields_value' => $this->getConfigFormValues(), /* Add values for your inputs */
            'languages' => $this->context->controller->getLanguages(),
            'id_language' => $this->context->language->id,
        );

  

        return $html.$helper->generateForm(array($this->getConfigForm()));
    }

    /**
     * Create the structure of your form.
     */
    protected function getConfigForm()
    {
        $base = array(
            'form' => array(
                'legend' => array(
                    'title' => $this->l('Configuración'),
                    'icon' => 'icon-cogs',
                ),
                'input' => array(
                    array(
                        'type' => 'text',
                        'label' => '<i class="icon-wrench" style="color: #2eacce;"></i><span style="font-size: 14px;
                                    color: #2eacce;font-weight:bold;">
                                    &nbsp;&nbsp;'.$this->l("Configuración").'</span>',
                        'name' => 'firstline',
                    ),
                    array(
                        'type'      => 'radio',
                        'label'     => $this->l('Tipo de verificación de edad'),
                        'name'      => 'conexiaverification2_TYPE',
                        'required'  => true,
                        'values'    => array(
                            array(
                                'id'    => 'date',
                                'value' => 'date',
                                'label' => $this->l('1# Selecciona día/Mes/Año de nacimiento')
                            ),
                            array(
                                'id'    => 'accept',
                                'value' => 'accept',
                                'label' => $this->l('2# Simplemente acepta con un botón')
                            )
                        ),
                    ),
                    array(
                        'col' => 3,
                        'type' => 'text',
                        'name' => 'conexiaverification2_AGE',
                        'label' => $this->l('Mínima edad exiga'),
                        'desc' => $this->l('Solo vale si se elige la opción 1 de verificación'),
                    ),
                    array(
                        'type'      => 'radio',
                        'label'     => $this->l('Modo de validación'),
                        'name'      => 'conexiaverification2_VALIDATION_MODE',
                        'desc'      => $this->l(
                            'Solo funciona si se eligió como tipo de verificación el modo 1'
                        ),
                        'required'  => true,
                        'values'    => array(
                            array(
                                'id'    => 'live',
                                'value' => 'live',
                                'label' => $this->l('Valida después de meter la fecha de nacimiento
                                 (día, mes y año)')
                            ),
                            array(
                                'id'    => 'classic',
                                'value' => 'classic',
                                'label' => $this->l('Modo clásico: Valida después de hacer click en el botón
                                ')
                            )
                        ),
                    ),
                ),
                'submit' => array(
                    'title' => $this->l('Save'),
                ),
            ),
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => '<i class="icon-folder" style="color: #2eacce;"></i><span style="font-size: 14px;
                        color: #2eacce;font-weight:bold;">
                        &nbsp;&nbsp;'.$this->l('Categorías & Productos').'</span>',
            'name' => 'fifthline',
        );

        $selected_cat = explode(',', Configuration::get("conexiaverification2_CATEGORIES"));

        $base['form']['input'][] = array(
            'type'  => 'switch',
            'label' => $this->l('¿Habilitar restricción de categorías?'),
            'desc' => $this->l('Si habilita esta opción el pop up se verá solo en las categorías seleccionadas, sino se verá en todas por defecto'),
            'name'  => 'conexiaverification2_CAT_RESTRICTION',
            'values' => array(
                array(
                    'id' => 'active_on',
                    'value' => 1,
                    'label' => $this->l('Enabled')
                ),
                array(
                    'id' => 'active_off',
                    'value' => 0,
                    'label' => $this->l('Disabled')
                )
            ),
        );

        $base['form']['input'][] = array(
            'type'  => 'categories',
            'label' => $this->l('Selecciona categorías'),
            'name'  => 'conexiaverification2_CATEGORIES',
            'tree'  => array(
                'id'                  => 'categories-tree',
                'root_category'       => $this->context->shop->getCategory(),
                'selected_categories' => $selected_cat,
                'use_search'          => true,
                'use_checkbox'        => true
            )
        );

        $base['form']['input'][] = array(
            'type'  => 'switch',
            'label' => $this->l('Habilitar solo para determinados productos'),
            'desc' => $this->l('Si habilita esta opción, aparecerá una ventana emergente también en las páginas de productos que pertenecen a las categorías seleccionadas y sus hijos.'),
            'name'  => 'conexiaverification2_PROD_RESTRICTION',
            'values' => array(
                array(
                    'id' => 'active_on',
                    'value' => 1,
                    'label' => $this->l('Enabled')
                ),
                array(
                    'id' => 'active_off',
                    'value' => 0,
                    'label' => $this->l('Disabled')
                )
            ),
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => '<i class="icon-desktop" style="color: #2eacce;"></i><span style="font-size: 14px;
                        color: #2eacce;font-weight:bold;">
                        &nbsp;&nbsp;'.$this->l('Apariencia').'</span>',
            'name' => 'secondline',
        );

        $list = array();

        for ($i = 80; $i <= 100; $i++) {
            $list[] = array (
                'id' => $i,
                'name' => $i.'%'
            );
        }

        $base['form']['input'][] = array(
            'type' => 'select',
            'label' => $this->l('% de opacidad del Popup'),
            'name' => 'conexiaverification2_OPACITY',
            'options' => array(
                'query' => $list,
                'id' => 'id',
                'name' => 'name',
            ),
            'col' => '3',
            'desc' => $this->l("100% si desea ocultar completamente el contenido de su página hasta la aceptación de la edad. 80% si quieres dejar tu contenido un poco visible.")
        );

        $base['form']['input'][] = array(
            'type' => 'color',
            'label' => $this->l('Color de fondo detrás del Popup'),
            'name' => 'conexiaverification2_BG_COLOR',
            'col' => '3'
        );

        $base['form']['input'][] = array(
            'type' => 'color',
            'label' => $this->l('Color de fondo del Popup'),
            'name' => 'conexiaverification2_BG_POPUP_COLOR',
            'col' => '3'
        );

        $base['form']['input'][] = array(
            'type' => 'color',
            'label' => $this->l('Color de las palabras'),
            'name' => 'conexiaverification2_FONT_COLOR',
            'desc' => $this->l('Si está vacio se usará el color por defecto'),
            'col' => '3'
        );

        $base['form']['input'][] = array(
            'type' => 'color',
            'label' => $this->l('Color de la selección activa'),
            'name' => 'conexiaverification2_SELECTED_FONT_COLOR',
            'desc' => $this->l('Si está vacio se usará el color por defecto'),
            'col' => '3'
        );

        $base['form']['input'][] = array(
            'type' => 'color',
            'label' => $this->l('Color de fondo de la selección activa'),
            'name' => 'conexiaverification2_SELECTED_BG_COLOR',
            'desc' => $this->l('Si está vacio se usará el color por defecto'),
            'col' => '3'
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => '<i class="icon-pencil" style="color: #2eacce;"></i><span style="font-size: 14px;
                        color: #2eacce;font-weight:bold;">
                        &nbsp;&nbsp;'.$this->l("Tipografía").'</span>',
            'name' => 'fourthline',
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => $this->l('Tipo de letra del Header'),
            'name' => 'conexiaverification2_HEADER_FONT',
            'desc' => $this->l('Si está vacio se usará el valor por defecto'),
            'col' => '3',
            'hint' => $this->l("Si desea configurar su fuente, asegúrese de que su fuente esté cargada en su servidor y que funcione con CSS")
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => $this->l('Tamaño de la letra del Header'),
            'name' => 'conexiaverification2_HEADER_SIZE',
            'suffix' => 'px',
            'desc' => $this->l('Si está vacio se usará el valor por defecto'),
            'col' => '3'
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => $this->l('Tamaño de la letra del Header (versión móvil)'),
            'name' => 'conexiaverification2_HEADER_SIZE_MOBILE',
            'suffix' => 'px',
            'desc' => $this->l('Si está vacio se usará el valor por defecto'),
            'col' => '3'
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => $this->l('Tipo de letra en el contenido'),
            'name' => 'conexiaverification2_FONT',
            'desc' => $this->l('Si está vacio se usará el valor por defecto'),
            'col' => '3',
            'hint' => $this->l("If you want to set your font, make sure your font is uploaded to your server and works with CSS")
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => $this->l('Tamaño de la letra en el contenido'),
            'name' => 'conexiaverification2_FONT_SIZE',
            'suffix' => 'px',
            'desc' => $this->l('Si está vacio se usará el valor por defecto'),
            'col' => '3'
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => $this->l('Tamaño de la letra en el contenido (versión móvil)'),
            'name' => 'conexiaverification2_FONT_SIZE_MOBILE',
            'suffix' => 'px',
            'desc' => $this->l('Si está vacio se usará el valor por defecto'),
            'col' => '3'
        );

        $base['form']['input'][] = array(
            'type' => 'text',
            'label' => '<i class="icon-globe" style="color: #2eacce;"></i><span style="font-size: 14px;
                        color: #2eacce;font-weight:bold;">
                        &nbsp;&nbsp;'.$this->l("Lenguaje").'</span>',
            'name' => 'thirdline',
        );

        $languages = Language::getLanguages(true);
        $cnt = 0;
        foreach ($languages as $lang) {
            $cnt = $cnt+1;
            $langid = $lang['id_lang'];
            $base['form']['input'][] = array(
                'type' => 'text',
                'label' => $this->l('Título del pop-up para').' <strong>'.$lang['name'].'</strong>:',
                'name' => 'conexiaverification2_TITLE_'.$langid.'',
                'col' => '3'
            );
            $base['form']['input'][] = array(
                'type' => 'text',
                'label' => $this->l('Botón inicial para').' <strong>'.$lang['name'].'</strong>:',
                'name' => 'conexiaverification2_BUTTON_'.$langid.'',
                'col' => '3'
            );
            $base['form']['input'][] = array(
                'type' => 'text',
                'label' => $this->l('Texto si no se tiene la mayoría de edad para').' 
                <strong>'.$lang['name'].'</strong>:',
                'name' => 'conexiaverification2_BIRTH_'.$langid.'',
                'col' => '3'
            );
            $base['form']['input'][] = array(

                'type' => 'textarea',
                'label' => $this->l('Contenido para').' <strong>'.$lang['name'].'</strong>:',
                'name' => 'conexiaverification2_CONTENT_'.$langid.'',
                'cols' => 10,
                'rows' => 3,
                'col' => 3
            );
        }

        return $base;
    }

    /**
     * Set values for the inputs.
     */
    protected function getConfigFormValues()
    {
        $languages = Language::getLanguages(false);
        $values = array();
        $cnt = 0;

        // Lang values
        foreach ($languages as $lang) {
            $cnt = $cnt + 1;
            $values['conexiaverification2_CONTENT_'.$lang['id_lang']] =
                Configuration::get('conexiaverification2_CONTENT_'.$lang['id_lang']);
            $values['conexiaverification2_TITLE_'.$lang['id_lang']] =
                Configuration::get('conexiaverification2_TITLE_'.$lang['id_lang']);
            $values['conexiaverification2_BIRTH_'.$lang['id_lang']] =
                Configuration::get('conexiaverification2_BIRTH_'.$lang['id_lang']);
            $values['conexiaverification2_BUTTON_'.$lang['id_lang']] =
                Configuration::get('conexiaverification2_BUTTON_'.$lang['id_lang']);
        }

        // Global values
        $values2 = array(
            'firstline' => 'Conexiaweb',
            'secondline' => 'Conexiaweb',
            'thirdline' => 'Conexiaweb',
            'fourthline' => 'Conexiaweb',
            'fifthline' => 'Conexiaweb',
            'conexiaverification2_PROD_RESTRICTION' => Configuration::get('conexiaverification2_PROD_RESTRICTION'),
            'conexiaverification2_CAT_RESTRICTION' => Configuration::get('conexiaverification2_CAT_RESTRICTION'),
            'conexiaverification2_CATEGORIES' => Configuration::get('conexiaverification2_CATEGORIES'),
            'conexiaverification2_AGE' => Configuration::get('conexiaverification2_AGE'),
            'conexiaverification2_TYPE' => Configuration::get('conexiaverification2_TYPE'),
            'conexiaverification2_VALIDATION_MODE' => Configuration::get('conexiaverification2_VALIDATION_MODE'),
            'conexiaverification2_OPACITY' => Configuration::get('conexiaverification2_OPACITY'),
            'conexiaverification2_BG_COLOR' => Configuration::get('conexiaverification2_BG_COLOR'),
            'conexiaverification2_HEADER_FONT' => Configuration::get('conexiaverification2_HEADER_FONT'),
            'conexiaverification2_HEADER_SIZE' => Configuration::get('conexiaverification2_HEADER_SIZE'),
            'conexiaverification2_HEADER_SIZE_MOBILE' => Configuration::get('conexiaverification2_HEADER_SIZE_MOBILE'),
            'conexiaverification2_FONT' => Configuration::get('conexiaverification2_FONT'),
            'conexiaverification2_FONT_SIZE' => Configuration::get('conexiaverification2_FONT_SIZE'),
            'conexiaverification2_FONT_SIZE_MOBILE' => Configuration::get('conexiaverification2_FONT_SIZE_MOBILE'),
            'conexiaverification2_BG_POPUP' => Configuration::get('conexiaverification2_BG_POPUP'),
            'conexiaverification2_BG_POPUP_COLOR' => Configuration::get('conexiaverification2_BG_POPUP_COLOR'),
            'conexiaverification2_FONT_COLOR' => Configuration::get('conexiaverification2_FONT_COLOR'),
            'conexiaverification2_SELECTED_FONT_COLOR' => Configuration::get('conexiaverification2_SELECTED_FONT_COLOR'),
            'conexiaverification2_SELECTED_BG_COLOR' => Configuration::get('conexiaverification2_SELECTED_BG_COLOR'),
        );

        return array_merge($values, $values2);
    }

    /**
     * Save form data.
     */
    protected function postProcess()
    {
        $form_values = $this->getConfigFormValues();
        $notAllowed = array(
            'firstline', 'secondline', 'thirdline', 'fourthline', 'fifthline'
        );

        foreach (array_keys($form_values) as $key) {
            if ($key == 'conexiaverification2_CATEGORIES') {
                Configuration::updateValue($key, implode(',', Tools::getValue($key)));
            } else {
                if (!in_array($key, $notAllowed)) {
                    Configuration::updateValue($key, Tools::getValue($key));
                }
            }
        }

        $languages = Language::getLanguages(true);

        foreach ($languages as $lang) {
            $langid = $lang['id_lang'];
            Configuration::updateValue(
                "conexiaverification2_CONTENT_{$langid}",
                Tools::getValue("conexiaverification2_CONTENT_{$langid}"), 
				true
            );
            Configuration::updateValue(
                "conexiaverification2_TITLE_{$langid}",
                Tools::getValue("conexiaverification2_TITLE_{$langid}"), 
				true
            );
            Configuration::updateValue(
                "conexiaverification2_BIRTH_{$langid}",
                Tools::getValue("conexiaverification2_BIRTH_{$langid}"), 
				true
            );
            Configuration::updateValue(
                "conexiaverification2_BUTTON_{$langid}",
                Tools::getValue("conexiaverification2_BUTTON_{$langid}"), 
				true
            );
        }
    }

    public static function getVersion()
    {
        return Tools::substr(_PS_VERSION_, 0, 3);
    }

    private function categoryFound()
    {
        $categoryArray = explode(',',Configuration::get('conexiaverification2_CATEGORIES'));

        if (Tools::getValue("controller") == 'category') {
            if (in_array(Tools::getValue("id_category"), $categoryArray) &&
                (bool)$this->context->cookie->__get('conexiaverification2_validated') === false) {
                return true;
            } else {
                return false;
            }
        } else {
            return false;
        }
    }

    private function productFound()
    {
        $categoryArray = explode(',',Configuration::get('conexiaverification2_CATEGORIES'));
        $productCategoriesArray = array();

        if (Tools::getValue("controller") == 'product') {
            $productCategories = Db::getInstance()->executeS(
                'SELECT id_category FROM '._DB_PREFIX_.'category_product 
                        WHERE id_product='.(int)Tools::getValue("id_product").''
            );

            if (count($productCategories) > 0) {
                foreach ($productCategories as $item) {
                    $productCategoriesArray[] = $item['id_category'];
                }
            }

            if ((bool)$this->context->cookie->__get('conexiaverification2_validated') === false) {
                if (count($productCategoriesArray) > 0) {
                    foreach ($productCategoriesArray as $item) {
                        $cat = new Category($item);
                        $categories = $cat->getAllParents();
                        if (in_array($item, $categoryArray)) {
                            return true;
                        }
                        foreach ($categories as $cat) {
                            if (in_array($cat, $categoryArray)) {
                                return true;
                            }
                        }
                    }
                }
            } else {
                return false;
            }
        } else {
            return false;
        }
    }
}
